## org.apache.cassandra.db.commitlog
Class CommitLog

    java.lang.Object
      org.apache.cassandra.db.commitlog.CommitLog

    public class CommitLog

extends java.lang.Object

Method Summary
`void` `add(RowMutation rowMutation, java.lang.Object serializedRow)`
`void` `discardCompletedSegments(java.lang.String tableName, java.lang.String cf, CommitLogSegment.CommitLogContext context)`
`void` `forceNewSegment()`
`CommitLogSegment.CommitLogContext` `getContext()`
`int` `getSegmentCount()`
`static CommitLog` `instance()`
`static void` `recover()`
`static void` `recover(java.io.File[] clogs)`
`static void` `setSegmentSize(int size)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### instance

    public static CommitLog instance()

### setSegmentSize

    public static void setSegmentSize(int size)

### getSegmentCount

    public int getSegmentCount()

### recover

    public static void recover()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### recover

    public static void recover(java.io.File[] clogs)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### getContext

    public CommitLogSegment.CommitLogContext getContext()
                                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### add

    public void add(RowMutation rowMutation,
                    java.lang.Object serializedRow)
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### discardCompletedSegments

    public void discardCompletedSegments(java.lang.String tableName,
                                         java.lang.String cf,
                                         CommitLogSegment.CommitLogContext context)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### forceNewSegment

    public void forceNewSegment()

Copyright © 2010 The Apache Software Foundation